> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecrafters.io/llms.txt
> Use this file to discover all available pages before exploring further.

# How do I install the CLI?

The CodeCrafters CLI is a command-line tool that allows you to run tests & view test results
from your local machine. Using the CLI is faster than using Git since you don't need to
commit your changes to run tests.

The CLI is available for Mac, Linux and Windows.

## Mac

Run the install script:

```bash theme={null}
curl -fsSL https://codecrafters.io/install.sh | bash
```

## Linux

Run the install script:

```bash theme={null}
curl -fsSL https://codecrafters.io/install.sh | bash
```

## Windows

> [tab] PowerShell
>
> Run the install script:
>
> ```bash theme={null}
> irm https://codecrafters.io/install.ps1 | iex
> ```

> [tab] WSL
>
> Run the install script:
>
> ```bash theme={null}
> curl -fsSL https://codecrafters.io/install.sh | bash
> ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.